var rec00200_RetornoCobranca_Repository = function (restEngine, localStorageEngine) {

    this.retornaUnidadeLogada = function() {
        var filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": "FILIAL_LOGADA"
            }
        ];
        return localStorageEngine.download("fin#/crud/filial", filter);
    };

    this.buscaEmpresa = function(cdempresa){
        return restEngine.post('fin#/crud/empresa', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "CDEMPRESA",
                    "operator": "=",
                    "value": cdempresa
                }
            ]
        });
    };

};
Configuration(function(ContextRegister){
    ContextRegister.register('Rec00200_RetornoCobranca_Repository', rec00200_RetornoCobranca_Repository);
});
